Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059194 - Missing rebase: ACTION_UPGRADE is not available on 3.4
Summary: Missing rebase: ACTION_UPGRADE is not available on 3.4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhevm-setup-plugins
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 3.4.0
Assignee: Alon Bar-Lev
QA Contact: Jiri Belka
URL:
Whiteboard: integration
Depends On:
Blocks: rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2014-01-29 12:09 UTC by Ohad Basan
Modified: 2014-09-18 23:48 UTC (History)
12 users (show)

Fixed In Version: ovirt-3.4.0-beta3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-09 13:31:25 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0653 normal SHIPPED_LIVE rhevm-setup-plugins bug fix and enhancement update 2014-06-09 17:21:48 UTC

Description Ohad Basan 2014-01-29 12:09:51 UTC
Description of problem:
a rebase patch has to be added to remove the ACTION_UPGRADE parameter from upstream code

currently rhev 3.4 setup fails on 
2014-01-29 11:37:04 DEBUG otopi.context context._executeMethod:152 method exception
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/otopi/context.py", line 142, in _executeMethod
    method['method']()
  File "/usr/share/ovirt-engine/setup/bin/../plugins/ovirt-engine-setup/distro-rhel/showupgradekb.py", line 55, in _init
    ] == osetupcons.Const.ACTION_UPGRADE and
AttributeError: type object 'Const' has no attribute 'ACTION_UPGRADE'
2014-01-29 11:37:04 ERROR otopi.context context._executeMethod:161 Failed to execute stage 'Initializing': type object 'Const' has no attribute 'ACTION_UPGRADE'

Comment 1 Alon Bar-Lev 2014-01-29 12:11:38 UTC
funny I just working on this.
please do not open any more bugs on rhevm-setup-plugins for 3.4 until I resolve all.

Comment 2 Alon Bar-Lev 2014-01-29 12:13:33 UTC
commit 01c2b0578a9633328ca72dd53dd4f3fd9cb2a055
Author: Alon Bar-Lev <alonbl@redhat.com>
Date:   Wed Jan 29 13:59:50 2014 +0200

    distro-rhel: remove showupgradekb
    
    it relays on obsolete LEGACY upgrade and obsolete ACTION.
    
    if required we add it properly somehow.
    
    not sure we need to warn user any more.
    
    Change-Id: Idd685d1c954311b1acf7ca48803b6c78acf3a60c
    Signed-off-by: Alon Bar-Lev <alonbl@redhat.com>

Comment 4 Jiri Belka 2014-02-19 15:52:23 UTC
What has to be verified here? Thank you.

Comment 5 Alon Bar-Lev 2014-02-19 15:54:19 UTC
(In reply to Jiri Belka from comment #4)
> What has to be verified here? Thank you.

nothing. this bug was opened for something that should not have been tested.
if engine-setup works for you all ok.

Comment 7 Jiri Belka 2014-02-25 09:07:20 UTC
ok, on upstream 'beta3', rhevm specific stuff does not exist.

Comment 9 errata-xmlrpc 2014-06-09 13:31:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0653.html


Note You need to log in before you can comment on or make changes to this bug.